Skip to main content
PATCH
Schedulegiftcarddelivery

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

X-Eposn-Customer-Token
string | null
X-Eposn-Merchant-Token
string | null

Path Parameters

programId
string | null
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

cardId
string | null
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Body

application/json
deliverAt
string<date-time> | null

Response

Successful Response

id
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

cardNumber
string
required
balance
string
required
initialValue
string
required
status
enum<string>
required

Gift card status enumeration.

Available options:
pending,
active,
suspended,
expired,
voided,
depleted
createdAt
string<date-time>
required
updatedAt
string<date-time> | null
required
activatedAt
string<date-time> | null
required
expiresAt
string<date-time>
required
suspendedReason
string | null
required
suspendedUntil
string<date-time> | null
required
suspendedAt
string<date-time> | null
required
customerId
string | null
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

customerEmail
string | null
required
customerPhone
string | null
required
customerName
string | null
required
merchantId
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

isPhysical
boolean
required
designTemplate
string | null
required
customMessage
string | null
required
lastFourDigits
string
required
programId
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

card
PassCard · object | null
required

The customer card object

Attributes: serialNumber (str): The serial number of the customer pass passTypeIdentifier (str): The pass type identifier of the customer pass url (str): The shareable URL of the customer pass

senderName
string | null
merchantName
string | null
deliverAt
string<date-time> | null
delivered
boolean
default:false